
Figure - Bug #117104
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111050 (New): AF-V2.0-Launcher/SystemUI-桌面管理

【AF】【EVT】【桌面】打开应用小窗，长按桌面进入编辑模式，卸载该应用，点击完成后，桌面出现
”Quickstep屡次停止运行“的提示，且无法上划进入任务管理器
2023-03-23 11:22 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-23

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VC1_FSE_0086_20230328

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101(X101)

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303260013

Reproducibility: Every time Fixed Version: 2023-03-25

Test Type: ST Root cause: 编码问题

Description

【测试步骤】

1、打开应用小窗

2、长按桌面进入编辑模式

3、卸载该应用，点击完成

【预期结果】

3、小窗消失，应用被卸载

【实际结果】

3、桌面出现”Quickstep屡次停止运行“的提示，且无法上划进入任务管理器

History

#1 - 2023-03-23 14:42 - CDTS_TEST 王成

- Target version set to VC1_FSE_0086_20230328

#2 - 2023-03-23 14:55 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-03-23 17:49 - CD APP-王宏

- Category changed from CD-APP to CD-FW

- Assignee changed from CD APP-王宏 to CD FW-鲁凯峰

2023-03-22 01:42:15.626 1031-2337/system_process E/JavaBinder: *** Uncaught remote exception!  (Exceptions are not yet supported across processes.)

    android.content.ActivityNotFoundException: Unable to find explicit activity class {com.smile.gifmaker/com.yxcorp.gifshow.HomeActivity}; have you declared this

activity in your AndroidManifest.xml?

        at android.app.Instrumentation.checkStartActivityResult(Instrumentation.java:2091)

        at android.app.Instrumentation.execStartActivity(Instrumentation.java:1749)

        at android.app.ContextImpl.startActivity(ContextImpl.java:1085)

        at com.android.server.wm.FreeFormWindowHelper.exitRecentTasks(FreeFormWindowHelper.java:457)

        at com.android.server.wm.ActivityTaskManagerService.exitRecentTasks(ActivityTaskManagerService.java:3821)

        at android.app.IActivityTaskManager$Stub.onTransact(IActivityTaskManager.java:2307)
        at com.android.server.wm.ActivityTaskManagerService.onTransact(ActivityTaskManagerService.java:5072)

        at android.os.Binder.execTransactInternal(Binder.java:1179)

        at android.os.Binder.execTransact(Binder.java:1143)

2023-03-22 01:42:16.397 1031-1176/system_process E/ShortcutService: Ignoring excessive intent tag.

2023-03-22 01:42:16.904 2733-2733/com.android.launcher3 E/AndroidRuntime: FATAL EXCEPTION: main

    Process: com.android.launcher3, PID: 2733

    java.lang.NullPointerException: Attempt to invoke virtual method 'java.lang.CharSequence

android.content.pm.ApplicationInfo.loadLabel(android.content.pm.PackageManager)' on a null object reference

        at android.app.ApplicationPackageManager.getApplicationLabel(ApplicationPackageManager.java:2098)

        at com.android.quickstep.util.AllAppInfoUtil.getAppName(AllAppInfoUtil.java:141)

        at com.android.quickstep.views.TaskView.lambda$onTaskListVisibilityChanged$4$TaskView(TaskView.java:732)

        at com.android.quickstep.views.TaskView$$ExternalSyntheticLambda4.accept(Unknown Source:4)

        at com.android.quickstep.TaskIconCache$1.handleResult(TaskIconCache.java:116)

        at com.android.quickstep.TaskIconCache$1.handleResult(TaskIconCache.java:106)

        at com.android.quickstep.util.CancellableTask.lambda$run$0$CancellableTask(CancellableTask.java:43)

        at com.android.quickstep.util.CancellableTask$$ExternalSyntheticLambda0.run(Unknown Source:4)

        at android.os.Handler.handleCallback(Handler.java:938)

        at android.os.Handler.dispatchMessage(Handler.java:99)

        at android.os.Looper.loopOnce(Looper.java:201)

        at android.os.Looper.loop(Looper.java:288)

        at android.app.ActivityThread.main(ActivityThread.java:7880)

        at java.lang.reflect.Method.invoke(Native Method)

        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

凯峰，根据日志，可能是进入recent时调用了小窗逻辑导致的，请排查一下

#4 - 2023-03-23 18:22 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

#5 - 2023-03-23 19:04 - CD APP-王宏

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

#6 - 2023-03-24 11:05 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

189474 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:fixed recent bug1.Crash issues caused when an open small window application is uninstalledTC-RID: 0301-0205302IssueID:

TS-R-BUG-117104Change-Id: I163d3113253406366be6f10dca8a9eaccafc4159

#7 - 2023-03-24 11:06 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED
- Fixed Version set to 2023-03-25

- Root cause set to 其他

#8 - 2023-03-24 11:07 - CD APP-王宏

- Root cause changed from 其他 to 编码问题

■ Current conclusion

已入库

■ My analysis

获取APP  name时候未做判空处理

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/189474

#9 - 2023-03-27 11:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303260013

3.27

验证通过

#10 - 2023-03-27 11:14 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-1A2212290000001651 2023-03-22 19-44-30.mp4 24.3 MB 2023-03-23 CD TEST-方永红

log.txt 9.46 MB 2023-03-23 CD TEST-方永红
